Bug 638787

Summary: Enhancements for brands
Product: [Community] Publican Reporter: Misty Stanley-Jones <misty>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 1.6CC: jfearn, lcarlon, mmcallis, publican-list, r.landmann
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: publican-2.3-0.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-10-27 18:48:12 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
Example with paras
none
Example
none
Programlisting inside note
none
Variablelist inside example
none
Warning none

Description Misty Stanley-Jones 2010-09-29 18:42:03 EDT
Description of problem:

We'd like to request some changes to the Publican JBoss brand (not the community brand).

This request is coming from Middleware ECS, in response to a group meeting we had. I'm attaching screenshots to explain some of the points.

1. We would like for the <title> element of block-level elements (figures, examples, etc) to show at the top of the box rather than the bottom.

2. Examples with accompanying text are pretty common, but hard to read with the current brand settings. Black text on a brightly-colored background is never great typographically. For all of these block-level boxes, can we explore putting the text into a lighter-colored div inside the bright box? Another alternative is to take the current bright colors and use them as a wide (2-3px) border for the box instead, and use a more neutral color for the div that holds the text. This is for examples, figures, notes, warnings, and info boxes mostly. Screenshot attached.

3. A note inside an example should probably use a smaller font and a lighter formatting than one outside an example. I don't know if this is possible. This is a paradigm that is not out of the realm of normal use.

4. Variable lists inside examples have no div with a lighter background, making them really hard to read. Screenshot attached.

5. Programlistings inside of notes, warnings, or infos look terrible. Screenshot attached.
Comment 1 Misty Stanley-Jones 2010-09-29 18:42:44 EDT
Created attachment 450608 [details]
Example with paras
Comment 2 Misty Stanley-Jones 2010-09-29 18:43:22 EDT
Created attachment 450609 [details]
Example
Comment 3 Misty Stanley-Jones 2010-09-29 18:43:47 EDT
Created attachment 450610 [details]
Programlisting inside note
Comment 4 Misty Stanley-Jones 2010-09-29 18:44:15 EDT
Created attachment 450611 [details]
Variablelist inside example
Comment 5 Misty Stanley-Jones 2010-09-29 18:44:38 EDT
Created attachment 450612 [details]
Warning
Comment 6 Ruediger Landmann 2010-09-29 19:37:18 EDT
Thanks for these Misty -- in particular, we need more detailed exploration and testing of some of these edge cases (about which nobody has given feedback previously).

None of these things are peculiar to the JBoss brand -- the brand gets all of these things from the Common brand.

So, the fundamental question is where these should be addressed. Changing them in the JBoss brand would mean either having to maintain the same changes in the Red Hat brand or a decision that we don't care that JBoss documentation looks different from other Red Hat documentation.

I think this needs to be discussed on publican-list, with a view to perhaps implementing some of these changes in the common brand itself. After that, if there are still things that the wider community doesn't want changed in the common brand, we can look at implementing them in the JBoss brand (and the Red Hat brand too, if we assume that consistency matters).

Could you please start a thread on the list?

Rudi
Comment 7 Jeff Fearn 2010-10-15 02:54:03 EDT
- Moved titles before: example, equation, table.
- Change html and PDF style for verbatim & example.
- Change html and PDF style for admonitions.
- Fix HTML footer style and layout.

Fixed in build: 2.2-0%{?dist}.t27
Comment 8 Misty Stanley-Jones 2010-10-19 19:21:11 EDT
Fixes verified, look great! I've tested common, jboss, jboss-community, and redhat brands.
Comment 10 Fedora Update System 2010-10-25 23:44:40 EDT
publican-2.3-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.3-0.fc13
Comment 11 Fedora Update System 2010-10-25 23:44:45 EDT
publican-2.3-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.3-0.fc13
Comment 12 Fedora Update System 2010-10-25 23:44:50 EDT
publican-2.3-0.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/publican-2.3-0.fc13
Comment 13 Fedora Update System 2010-10-27 18:47:31 EDT
publican-2.3-0.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.